Skip to main content
GET
/
volumes
/
{id}
/
snapshots
/
{version}
Get snapshot by volume ID and snapshot version
curl --request GET \
  --url https://mycluster.domino.tech/volumes/{id}/snapshots/{version}
{
  "createdAt": "<string>",
  "createdBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "id": "<string>",
  "updatedAt": "<string>",
  "updatedBy": {
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "userName": "<string>"
  },
  "version": 123,
  "volumeId": "<string>",
  "description": "<string>",
  "labels": {},
  "lastMountedTime": "<string>",
  "runId": "<string>",
  "tags": [
    {
      "addedAt": "<string>",
      "addedBy": {
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "userName": "<string>"
      },
      "name": "<string>"
    }
  ]
}

Path Parameters

id
string
required

Volume ID

version
integer
required

Snapshot version

Response

OK

createdAt
string
required
createdBy
object
required
id
string
required
status
enum<string>
required
Available options:
Active,
MarkedForDeletion,
Deleted
updatedAt
string
required
updatedBy
object
required
version
integer
required

Links to ONTAP snapshot name

volumeId
string
required
description
string
labels
object

System-specified, e.g. for Flows artifacts

lastMountedTime
string
runId
string

Optional field denoting resource associated with a run

tags
object[]

User-specified, used for mount path resolution and is derived from SnapshotTags